---
title: KeyframeEffect.iterationComposite
slug: Web/API/KeyframeEffect/iterationComposite
tags:
  - API
  - Animation
  - Experimental
  - KeyframeEffect
  - Property
  - Reference
  - iterationComposite
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <code><strong>iterationComposite</strong></code> property of a {{domxref("KeyframeEffect")}} resolves how the animation's property value changes accumulate or override each other upon each of the animation's iterations.</p>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js">// getting
var iterationCompositeEnumeration = keyframeEffect.<em>iterationComposite</em>;

// setting
keyframeEffect.<em>iterationComposite</em> = 'replace';
</pre>
</div>

<h3 id="Values">Values</h3>

<dl>
 <dt>replace</dt>
 <dd>The <code>keyframeEffect</code> value produced is independent of the current iteration.</dd>
 <dt>accumulate</dt>
 <dd>Subsequent iterations of the <code>keyframeEffect</code> build on the final value of the previous iteration.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations 2', '#dom-keyframeeffect-iterationcomposite', 'iterationComposite')}}</td>
   <td>{{Spec2('Web Animations 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyframeEffect.iterationComposite")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>Property of both {{domxref("KeyframeEffect")}} objects.</li>
</ul>
